package enum

type State uint32

const (
	pending   State = 0
	running   State = 1
	suspended State = 2
	completed State = 3
)

func (s State) String() string {
	switch s {
	case pending:
		return "Pending"
	case running:
		return "Running"
	case suspended:
		return "Suspended"
	case completed:
		return "Completed"
	default:
		return ""
	}
}
